summaryrefslogtreecommitdiff
path: root/VA/dimes-hetsim-nmc.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-07-04 15:21:48 +0200
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-07-04 15:21:48 +0200
commitddda17011ceecb6bbd5a0a56da92e523e6d617dc (patch)
treeb4ac179ba59d327a0a43da0e97efa070f4b7b6cc /VA/dimes-hetsim-nmc.sh
parentd3e350249caeb28882fefd6e2cc0676e2f2c8808 (diff)
VA: add separate benchmark scripts for NMC and HBM
Diffstat (limited to 'VA/dimes-hetsim-nmc.sh')
-rwxr-xr-xVA/dimes-hetsim-nmc.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/VA/dimes-hetsim-nmc.sh b/VA/dimes-hetsim-nmc.sh
new file mode 100755
index 0000000..455f369
--- /dev/null
+++ b/VA/dimes-hetsim-nmc.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+mkdir -p log/$(hostname) baselines/cpu/log/$(hostname)
+fn=log/$(hostname)/$(date +%Y%m%d)
+
+# upstream uses 167772160 * int32 == 1.25 GiB for DPU version
+
+run_benchmark_nmc() {
+ eval "$@"
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ bin/host_code -w 0 -e 100 -i ${input_size} -x 1
+ fi
+ return $?
+}
+
+export -f run_benchmark_nmc
+
+run_benchmark_baseline() {
+ eval "$@"
+ ./va -i ${input_size} -a ${ram} -b ${ram} -c ${cpu} -t $nr_threads -w 0 -e 40
+ return $?
+}
+
+export -f run_benchmark_baseline
+
+(
+
+parallel -j1 --eta --joblog ${fn}.joblog --resume --header : \
+ run_benchmark_nmc nr_dpus={nr_dpus} nr_tasklets=16 input_size={input_size} \
+ ::: nr_dpus 64 128 256 512 768 1024 1536 2048 2304 \
+ ::: input_size 167772160
+
+) | tee ${fn}.txt
+
+xz -f -v -9 -M 800M ${fn}.txt
+
+cd baselines/cpu
+make -B NUMA=1
+
+(
+
+parallel -j1 --eta --joblog ${fn}.1.joblog --resume --header : \
+ run_benchmark_baseline nr_threads={nr_threads} input_size={input_size} ram={ram} cpu={cpu} \
+ ::: ram 0 1 \
+ ::: cpu 0 1 \
+ ::: nr_threads 1 2 4 8 12 16 32 \
+ ::: input_size 167772160
+
+parallel -j1 --eta --joblog ${fn}.2.joblog --resume --header : \
+ run_benchmark_baseline nr_threads={nr_threads} input_size={input_size} ram={ram} cpu={cpu} \
+ ::: ram any \
+ ::: cpu -1 \
+ ::: nr_threads 48 64 \
+ ::: input_size 167772160
+
+) | tee ${fn}.txt
+
+xz -f -v -9 -M 800M ${fn}.txt